name: engauge-digitizer
version: '12.1'
summary: Interactively convert a bitmap graph or map into numbers.
description: Software tool for extracting numbers from images of graphs and maps.
grade: stable
confinement: strict

parts:
  engauge-digitizer:
    plugin: qmake
    options: [CONFIG+=log4cpp_null, CONFIG+=pdf, QT+=printsupport, QT+=sql]
    qt-version: qt5
    build-packages: [qttools5-dev, libqt5gui5, libqt5sql5-sqlite, libfftw3-double3, libpoppler-dev, libpoppler-qt5-dev]
    stage-packages: [qttools5-dev, libqt5gui5, libqt5sql5-sqlite, libfftw3-double3, libpoppler-dev, libpoppler-qt5-dev]
    project-files: [engauge.pro]
    after: [help]
  help:
    plugin: dump
    stage: [engauge, documentation/engauge.qch, documentation/engauge.qhc]
    prime: [engauge, documentation/engauge.qch, documentation/engauge.qhc]
    after: [desktop-file]
  desktop-file:
    source: desktop-file
    source-type: local
    plugin: dump
    after: [desktop-qt5]    
apps:
  engauge-digitizer:
    command: desktop-launch $SNAP/engauge
    plugs: [home, cups-control, x11]
    desktop: engauge-digitizer.desktop
